"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseSignalsLogLevel = exports.parseDebugModeQueryString = void 0;
/**
 * If query string is set, coerce to boolean
 * If query string is not set, return undefined
 */
const parseDebugModeQueryString = () => {
    const queryParams = new URLSearchParams(window.location.search);
    const val = queryParams.get('segment_signals_debug') ||
        queryParams.get('seg_signals_debug');
    if (val === 'true' || val === 'false') {
        return val === 'true';
    }
    return undefined;
};
exports.parseDebugModeQueryString = parseDebugModeQueryString;
const parseSignalsLogLevel = () => {
    const queryParams = new URLSearchParams(window.location.search);
    const val = queryParams.get('segment_signals_log_level') ||
        queryParams.get('seg_signals_log_level');
    if (val === 'info' || val === 'debug' || val === 'off') {
        return val;
    }
    else if (typeof val === 'string') {
        console.error(`Invalid signals_log_level: "${val}". Valid options are: info, debug, off`);
    }
    return undefined;
};
exports.parseSignalsLogLevel = parseSignalsLogLevel;
//# sourceMappingURL=index.js.map