"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SignalsEventProcessorSubscriber = void 0;
const processor_1 = require("../../processor/processor");
const sandbox_1 = require("../../processor/sandbox");
class SignalsEventProcessorSubscriber {
    load(ctx) {
        this.buffer = ctx.buffer;
        this.processor = new processor_1.SignalEventProcessor(ctx.analyticsInstance, new sandbox_1.Sandbox(new sandbox_1.SandboxSettings(ctx.unstableGlobalSettings.sandbox)));
    }
    async process(signal) {
        return this.processor.process(signal, await this.buffer.getAll());
    }
}
exports.SignalsEventProcessorSubscriber = SignalsEventProcessorSubscriber;
//# sourceMappingURL=index.js.map