import { JSONArray, JSONObject } from '@segment/analytics-next';
/**
 * @example example.foo.bar.com => example.com
 * @example example.foo.co.uk => example.co.uk
 */
export declare const getDomainFromHost: (hostName: string) => string;
export declare const isSameDomain: (url: string) => boolean;
export declare const normalizeHeaders: (headers: HeadersInit) => Headers;
/**
 * @example expect(containsContentType(headers, ['application/json'])).toBe(true)
 */
export declare const containsContentType: (headers: HeadersInit | undefined, match: string[]) => boolean;
export declare const containsJSONContentType: (Headers: HeadersInit | undefined) => boolean;
export declare const containsJSONParseableContentType: (headers: HeadersInit | undefined) => boolean;
export declare const isOk: (status: number) => boolean;
/**
 * Safely parse JSON, if it fails, return the original text.
 */
export declare const tryJSONParse: (text: string) => JSONObject | JSONArray | string;
/**
 * Normalize the first parameter of a fetch request
 */
export declare const normalizeRequestInfo: (requestInfo: RequestInfo | URL) => string;
export declare const createRequestId: () => string;
//# sourceMappingURL=helpers.d.ts.map